# Types

### `Color`

A color can either be specified as:

* Named color according to [CSS Colors definition](https://www.w3schools.com/cssref/css_colors.php) — e.g. `DeepPink`
* RGB Hexadecimal — e.g. `#ff1493`
* RGB (Red, Green, Blue) — e.g. `rgb(255, 20, 147)`
* RGBA (Red, Green, Blue, Alpha) — e.g. `rgba(255, 20, 147, 1)`&#x20;

### `CtaBehavior`

Determines how a CTA target should be opened. Allowed values are:

* `clipboard` — The CTA target URL/value is copied to clipboard
* `modal` — The CTA target URL/value are rendered in a player internal component
* `newTab` — The CTA target URL is opened a new window
* `newTabWithPipNative` — The CTA target URL is opened a new window with the video following in native PiP — if supported by the viewers OS
* `none` — Event message is sent only
* `pip` — The CTA target URL is loaded in the current page with the media player resuming in sticky minimized state
* `pipNative` — Event message is sent only with the video following in native PiP — if supported by the viewers OS
* `pipSpa` — The CTA target URL is loaded in the current page with the media player resuming in minimized state

### `LocalizedString`

A map of key-value pairs for multi-lingual texts.

* Key is either a lower-cased language code identifier (LCID Locale ID, e.g. `en-us`) or `*`, which acts as a fallback, if no language specific value is specified.
* Value is a text in a distinct language.

### `SvgIconString`

The SVG Markup of a custom icon.

{% hint style="warning" %}
Please limit dimension of the SVG viewport to 24x24 pixels and remove all inline `fill` and `stroke` attributes, which might interfere with colors defined in Theme Settings.
{% endhint %}

#### Example

```svg
<svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
  <path d="M12.8197 5.57961L11.999 6.40211L11.1757 5.57886C9.07663 3.4798 5.67337 3.4798 3.5743 5.57886C1.47523 7.67793 1.47523 11.0812 3.5743 13.1803L11.4697 21.0756C11.7626 21.3685 12.2374 21.3685 12.5303 21.0756L20.4318 13.1788C22.5262 11.0728 22.5298 7.67906 20.4303 5.57961C18.3274 3.47672 14.9226 3.47672 12.8197 5.57961ZM19.3682 12.1211L12 19.4846L4.63496 12.1196C3.12168 10.6063 3.12168 8.15281 4.63496 6.63952C6.14824 5.12624 8.60176 5.12624 10.115 6.63952L11.4725 7.99697C11.7703 8.29483 12.255 8.28903 12.5457 7.98412L13.8803 6.64027C15.3974 5.12317 17.8526 5.12316 19.3697 6.64027C20.8833 8.15391 20.8807 10.6001 19.3682 12.1211Z" />
</svg>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/theming/types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
